mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException

Represents the error that occurs when a requested operation is not implemented for a given type.

A number of the types and constructs, specified elsewhere in this Standard, are not required of CLI implementations that conform only to the Kernel Profile. For example, the floating-point feature set consists of the floating-point data types and . If support for these is omitted from an implementation, any attempt to reference a signature that includes the floating-point data types results in an exception of type .

- Constructor

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance to a system-supplied message that describes the error. This message takes into account the current system culture.

  The property is initialized to .

  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments. The property is initialized to .

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'Runtime.Serialization.SerializationInfo'
  To be added: an object of type 'Runtime.Serialization.StreamingContext'
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  for the new .

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using , and the property using . If is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  For information on inner exceptions, see .

  1.0.5000.0
  2.0.0.0
System.Runtime.InteropServices.ComVisible(true)